@echo off
rem
rem buildtex.bat
rem
echo.
echo PROCESSING TEXTURE FILES...
echo.
:bitslice
img2vtx.exe -b -o basev.bsl -s 128,64 -m0 basev1.tga -m1 basev2.tga -m2 basev3.tga -m3 basev4.tga -m4 basev5.tga -m5 basev6.tga
if errorlevel 1 goto error
img2vtx.exe -b -o bexp.bsl -s 128,128 -m0 bexp1.tga -m1 bexp2.tga -m8 bexp99.tga
if errorlevel 1 goto error
echo texture files processed.
goto end
:error
echo.
echo PROCESSING FAILED - SEE ABOVE
:end

